#pragma once

// begin crc calculation
ENGINE_API void CRC_Start(ULONG &ulCRC);
// add data to a crc value
ENGINE_API void CRC_AddBYTE(ULONG &ulCRC, UBYTE ub);
ENGINE_API void CRC_AddWORD(ULONG &ulCRC, UBYTE uw);
ENGINE_API void CRC_AddLONG(ULONG &ulCRC, ULONG ul);
ENGINE_API void CRC_AddFLOAT(ULONG &ulCRC, FLOAT f);
// add memory block to a CRC value
ENGINE_API void CRC_AddBlock(ULONG &ulCRC, UBYTE *pubBlock, ULONG ulSize);
// end crc calculation
ENGINE_API void CRC_Finish(ULONG &ulCRC);
