#pragma once

// structure describing current state during loading, passed to loading hook
class CProgressHookInfo {
public:
  CTString phi_strDescription;    // world/savegame/session that is loading/connecting, etc.
  FLOAT phi_fCompleted;           // completed ratio [0..1]
};

// set hook for loading/connecting
extern ENGINE_API void SetProgressHook(void (*pHook_t)(CProgressHookInfo *pgli));
// call loading/connecting hook
extern ENGINE_API void SetProgressDescription(const CTString &strDescription);
extern ENGINE_API void CallProgressHook_t(FLOAT fCompleted);
